org.eclipse.mat.report

## Interface IOutputter.Context

Enclosing interface:
  IOutputter

    public static interface IOutputter.Context

Holds information which controls how to format a report.

No Implement:

### Method Summary

All Methods Instance Methods Abstract Methods
`String` `addContextResult(String name, IResult result)`
`String` `addIcon(URL icon)` Get string to represent an icon
`String` `getId()`
`int` `getLimit()`
`File` `getOutputDirectory()`
`String` `getPathToRoot()`
`IQueryContext` `getQueryContext()`
`boolean` `hasLimit()`
`boolean` `isColumnVisible(int columnIndex)`
`boolean` `isTotalsRowVisible()`
`String` `param(String key)`
`String` `param(String key, String defaultValue)`

### Method Detail

#### getId

    String getId()

#### getQueryContext

    IQueryContext getQueryContext()

#### getOutputDirectory

    File getOutputDirectory()

#### getPathToRoot

    String getPathToRoot()

#### addIcon

    String addIcon(URL icon)

Get string to represent an icon

Parameters:
  `icon` -
Returns:
  a string which can be used for the icon

#### addContextResult

    String addContextResult(String name,
                            IResult result)

#### hasLimit

    boolean hasLimit()

#### getLimit

    int getLimit()

#### isColumnVisible

    boolean isColumnVisible(int columnIndex)

#### isTotalsRowVisible

    boolean isTotalsRowVisible()

#### param

    String param(String key)

#### param

    String param(String key,
                 String defaultValue)